Ubuntu 14.04.2 LTS - Erro ao executar VMware Player 6.0.5: "Unable to start services" [Resolvido]

Publicado por Gleydson Luiz Epifanio da Silva em 26/02/2015

[ Hits: 10.123 ]

 


Ubuntu 14.04.2 LTS - Erro ao executar VMware Player 6.0.5: "Unable to start services" [Resolvido]



Mensagem de erro:

Unable to start services. See log file /tmp/vmware-root/modconfig-17200.log

Solução:

Criar o arquivo /tmp/filter.c.diff, com o conteúdo:

vim /tmp/filter.c.diff

205a206
> #if LINUX_VERSION_CODE < KERNEL_VERSION(3, 13, 0)
206a208,210
> #else
> VNetFilterHookFn(const struct nf_hook_ops *ops,        // IN:
> #endif
255c259,263
<    transmit = (hooknum == VMW_NF_INET_POST_ROUTING);
---
>    #if LINUX_VERSION_CODE < KERNEL_VERSION(3, 13, 0)
>       transmit = (hooknum == VMW_NF_INET_POST_ROUTING);
>    #else
>       transmit = (ops->hooknum == VMW_NF_INET_POST_ROUTING);
>    #endif

Acessar como root e executar os comandos:

# cd /usr/lib/vmware/modules/source/
# cp vmnet.tar vmnet.tar.original
# tar xvf vmnet.tar vmnet-only/filter.c
# patch vmnet-only/filter.c < /tmp/filter.c.diff
# tar -uvf vmnet.tar vmnet-only/filter.c
# rm -rf vmnet-only/

Feito isso, reinicie o VMware Player.

Outras dicas deste autor

Aumentando a área de SWAP

Criando e montando uma partição no Linux

Leitura recomendada

aMSN 0.97 no Insigne

Problemas com scripts no GIMP na versão 2.3/futura 2.4

Skype 4.1.0.20 no Debian 6.0.6 32 bits

Cadê o apt-setup do Etch? E agora?

Documentação nos pacotes do Projeto GNU

  

Comentários
[1] Comentário enviado por Mc.Eagle em 16/04/2015 - 14:40h

Quando eu atualizei o Ubuntu para a versão 15.04 este problema aconteceu, porém efetuei o download do patch e resolvi da seguinte forma:
1 – Baixe o patch na pasta /tmp digitando no terminal:
$ curl http://pastie.org/pastes/9934018/download -o /tmp/vmnet-3.19.patch
2 – Acesse a biblioteca do vm e extraia o arquivo vmnet conforme a seguir:
$ cd /usr/lib/vmware/modules/source
# tar -xf vmnet.tar
3 – Aplique a correção:
# patch -p0 -i /tmp/vmnet-3.19.patch
4 – Recrie o arquivo:
# tar -cf vmnet.tar vmnet-only
5 – Remova os arquivos de sobra:
# rm -r *-only
6 – Recompile os módulos:
# vmware-modconfig –console –install-all

Publiquei no meu blog um estudo completo sobre o caso: https://fernandodesousa.wordpress.com/2015/04/10/resolvendo-o-problema-do-vmware-player-no-ubuntu-15...

[2] Comentário enviado por jardelvdas em 18/05/2015 - 13:52h

Quando eu atualizei o Ubuntu para a versão 15.04 este problema aconteceu. Resolvido:https://fernandodesousa.wordpress.com/2015/04/10/resolvendo-o-problema-do-vmware-player-no-ubuntu-15-04-vivid-vervet/

[3] Comentário enviado por [email protected] em 31/01/2016 - 00:47h

EXCELENTE . OARQUIVO FUNCIONOU 100%, AGORA POSSO USAR MINHA MÁQUINA VIRTUAL SEM PROBLEMAS. MUITO OBRIGADO PELA CONTRIBUIÇÃO.



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts